%define name basplnx
%define version 1.1.12

Summary: Broadcom Advanced Server Program (BASP) driver for Linux
Name: %{name}
Version: %{version}
Release: 1
Vendor: Broadcom Corporation
Copyright: Commercial
Group: System Environment/Base
Source: %{name}-%{version}.tgz
BuildRoot: /var/tmp/%{name}-buildroot

%description
This package contains Broadcom Advanced Server Program (BASP) driver for 
Linux. BASP is a kernel module designed for Linux 2.2 kernel that provides
load-balancing, fault-tolerance, and VLAN features. These features
are provided by creating teams that consist of multiple NIC interfaces.
A team can consist of 1 to 8 NIC interfaces and each interface can be
designated primary or standby. All primary NIC in a team will participate
in Load-balancing operations by sending and receiving a portion of the
total traffic. Standby interfaces will take over in the event that all
primary interfaces have lost their links. VLANs can be added to a team
to allow multiple VLANs with different VLAN IDs and a virtual device
is created for each VLAN added.

%prep
%setup -c -b 0

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/net
make install PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc release.txt
%defattr(-,root,root)
/lib/modules/*/net/basp.o
/etc/rc.d/init.d/basp
/etc/basp/baspteam
/etc/basp/baspif
/etc/basp/samples/team-sample
/etc/basp/samples/team-gec
/usr/bin/baspcfg
/dev/basp
/usr/src/nice-2.2.16

%post
chkconfig --del basp
chkconfig --add basp
depmod -a

%preun
/etc/rc.d/init.d/basp stop
chkconfig --del basp

%postun
depmod -a

%changelog

